Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.io.datastore.schema
Enum TableRelation.FK_INFO

    java.lang.Object
      java.lang.Enum<TableRelation.FK_INFO>
          org.deegree.io.datastore.schema.TableRelation.FK_INFO

All Implemented Interfaces:
  Serializable, Comparable<TableRelation.FK_INFO>

Enclosing class:
  TableRelation

    public static enum TableRelation.FK_INFO

extends Enum<TableRelation.FK_INFO>

Used to represent the foreign key position.

Enum Constant Summary
`fkIsFromField` Foreign stored in 'From'-table, primary key in 'To'-table.
`fkIsToField` Foreign stored in 'To'-table, primary key in 'From'-table.
`noFKInfo` No foreign key information available (sufficient for read access).

Method Summary
`static TableRelation.FK_INFO` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TableRelation.FK_INFO[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### noFKInfo

    public static final TableRelation.FK_INFO noFKInfo

  No foreign key information available (sufficient for read access).

### fkIsToField

    public static final TableRelation.FK_INFO fkIsToField

  Foreign stored in 'To'-table, primary key in 'From'-table.

### fkIsFromField

    public static final TableRelation.FK_INFO fkIsFromField

  Foreign stored in 'From'-table, primary key in 'To'-table.

Method Detail

### values

    public static final TableRelation.FK_INFO[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TableRelation.FK_INFO c : TableRelation.FK_INFO.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TableRelation.FK_INFO valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org